OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.SUN.MeshArray

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetSUNMeshArray :: MonadIO m => m Bool
- gl_SUN_mesh_array :: Bool
- gl_QUAD_MESH_SUN :: GLenum
- gl_TRIANGLE_MESH_SUN :: GLenum
- glDrawMeshArraysSUN :: MonadIO m => GLenum -> GLint -> GLsizei -> GLsizei -> m ()

# Extension Support

glGetSUNMeshArray :: MonadIO m => m Bool

Is the SUN_mesh_array extension supported?

gl_SUN_mesh_array :: Bool

Is the SUN_mesh_array extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetSUNMeshArray` in those cases instead.

# Enums

gl_QUAD_MESH_SUN :: GLenum

gl_TRIANGLE_MESH_SUN :: GLenum

# Functions

glDrawMeshArraysSUN

Arguments

:: MonadIO m |
=> GLenum | `mode` of type PrimitiveType.
-> GLint | `first`.
-> GLsizei | `count`.
-> GLsizei | `width`.
-> m () |